# EMU IPC Logger Diagnostics Faults
# Highly Confidential and Proprietary Zoox Information. Copyright (c) Zoox.
component: IpcLogger
source_enum: kEmuIpcLogger
namespace: zoox
faults:
  - id: 0
    name: OutOfDiskSpace
    severity: ERROR
    latching: false
    reaction:
      allowed_missions: ManualOperations
    description: Out of Disk Space for EMU Chum Logging. Old logs will be overwritten.
  - id: 1
    name: MessagesDropped
    severity: WARNING
    latching: false
    reaction:
      allowed_missions: ManualOperations
    description: Messages were dropped from a topic(s).
  - id: 2
    name: UnableToSubscribe
    severity: ERROR
    latching: false
    reaction:
      allowed_missions: ManualOperations
    description: Logger could not subscribe to the preconfigured log topic.
  - id: 3
    name: TopicStale
    severity: WARNING
    latching: false
    reaction:
      allowed_missions: ManualOperations
    description: Nothing was published to the topic over period of time.
  - id: 4
    name: DiskWriteFailure
    severity: ERROR
    latching: false
    reaction:
      allowed_missions: ManualOperations
    description: Chum failed to write logger messages to disc.

